-- Copyright (C) 1999 Simon Wright.
-- All Rights Reserved.
--
-- This program is distributed in the hope that it will be
--      useful, but WITHOUT ANY WARRANTY; without even the implied
--      warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
--      PURPOSE. See the Ada Community License for more details.
--      You should have received a copy of the Ada Community
--      License with this library, in the file named "Ada Community
--      License" or "ACL". If not, contact the author of this library
--      for a copy.
--

-- $Id: avl_test_support.ads,v 1.1.2.1 1999/12/28 12:48:04 simon Exp $

with BC.Containers;
with BC.Containers.Trees;
with BC.Containers.Trees.AVL;
with BC.Containers.Trees.AVL.Print;
with BC.Containers.Trees.AVL.Validate;
with Global_Heap;

package AVL_Test_Support is

  type Item is range 0 .. 1023;

  package Containers is new BC.Containers (Item => Item);

  package Trees is new Containers.Trees;

  package TA is new Trees.AVL (Storage_Manager => Global_Heap.Pool,
                               Storage => Global_Heap.Storage);

  procedure Print is new TA.Print (Image => Item'Image);

  procedure Validate is new TA.Validate;

end AVL_Test_Support;
